--vmp3 by mrafenne



mov1 = 0
mov2 = 0
selection = 1
green = Color.new(0, 255, 0)
white = Color.new(255, 255, 255)
teste = Image.load("ms0:/PSP/GAME/vmp3 v1/images/fondvis/vmp3.png") 
teste1 = Image.load("ms0:/PSP/GAME/vmp3 v1/images/fondvis/test1.png")
teste2 = Image.load("ms0:/PSP/GAME/vmp3 v1/images/fondvis/test2.png")
teste3 = Image.load("ms0:/PSP/GAME/vmp3 v1/images/fondvis/test3.png")
teste4 = Image.load("ms0:/PSP/GAME/vmp3 v1/images/fondvis/test4.png")
teste5 = Image.load("ms0:/PSP/GAME/vmp3 v1/images/fondvis/test5.png")
teste6 = Image.load("ms0:/PSP/GAME/vmp3 v1/images/fondvis/test6.png")
teste7 = Image.load("ms0:/PSP/GAME/vmp3 v1/images/fondvis/test7.png")
teste8 = Image.load("ms0:/PSP/GAME/vmp3 v1/images/fondvis/test8.png")
teste9 = Image.load("ms0:/PSP/GAME/vmp3 v1/images/fondvis/test9.png")
teste10 = Image.load("ms0:/PSP/GAME/vmp3 v1/images/fondvis/test10.png")
teste11 = Image.load("ms0:/PSP/GAME/vmp3 v1/images/fondvis/test11.png")
teste12 = Image.load("ms0:/PSP/GAME/vmp3 v1/images/fondvis/test12.png")
teste13 = Image.load("ms0:/PSP/GAME/vmp3 v1/images/fondvis/test13.png")
teste14 = Image.load("ms0:/PSP/GAME/vmp3 v1/images/fondvis/test14.png")
teste15 = Image.load("ms0:/PSP/GAME/vmp3 v1/images/fondvis/test15.png")
teste16 = Image.load("ms0:/PSP/GAME/vmp3 v1/images/fondvis/test16.png")
teste17 = Image.load("ms0:/PSP/GAME/vmp3 v1/images/fondvis/test17.png")
teste18 = Image.load("ms0:/PSP/GAME/vmp3 v1/images/fondvis/test18.png")
teste19 = Image.load("ms0:/PSP/GAME/vmp3 v1/images/fondvis/test19.png")
teste20 = Image.load("ms0:/PSP/GAME/vmp3 v1/images/fondvis/test20.png")
teste21 = Image.load("ms0:/PSP/GAME/vmp3 v1/images/fondvis/test21.png")
teste22 = Image.load("ms0:/PSP/GAME/vmp3 v1/images/fondvis/test22.png")
teste23 = Image.load("ms0:/PSP/GAME/vmp3 v1/images/fondvis/test23.png")
teste24 = Image.load("ms0:/PSP/GAME/vmp3 v1/images/fondvis/test24.png")
teste25 = Image.load("ms0:/PSP/GAME/vmp3 v1/images/fondvis/test25.png")
teste26 = Image.load("ms0:/PSP/GAME/vmp3 v1/images/fondvis/test26.png")
teste27 = Image.load("ms0:/PSP/GAME/vmp3 v1/images/fondvis/test27.png")
font = Font.load("ms0:/PSP/GAME/vmp3 v1/images/ALIEN5.TTF")
font:setPixelSizes(18,16)

a = 1
next = "fasle"
preiw = "fasle"

edge = 0
s = 80
s1 = 190
s2 = s1 + 110
s3 = s2 + 110
s4 = s3 + 110
s5 = s4 + 110
s6 = s5 + 110
s7 = s6 + 110
s8 = s7 + 110
s9 = s8 + 110
s10 = s9 + 110
s11 = s10 + 110
s12 = s11 + 110
s13 = s12 + 110
s14 = s13 + 110
s15 = s14 + 110
s16 = s15 + 110
s17 = s16 + 110
s18 = s17 + 110
s19 = s18 + 110
s20 = s19 + 110
s21 = s20 + 110
s22 = s21 + 110
s23 = s22 + 110
s24 = s23 + 110
s25 = s24 + 110
s26 = s25 + 110
s27 = s26 + 110
function exitMenu()
teste = nil
teste1 = nil
teste2 = nil
teste3 = nil
teste4 = nil
teste5 = nil
teste6 = nil
teste7 = nil
teste8 = nil
teste9 = nil
teste10 = nil
teste11 = nil
teste12 = nil
teste13 = nil
teste14 = nil
teste15 = nil
teste16 = nil
teste17 = nil
teste18 = nil
teste19 = nil
teste20 = nil
teste21 = nil
teste22 = nil
teste23 = nil
teste24 = nil
teste25 = nil
teste26 = nil
teste27 = nil
mov1 = nil
mov2 = nil
collectgarbage()
end

function nomvis1()
mov2 = 0
if preiw == "fasle" and next == "fasle" then
if mov1 <= 150 and mov1 >= 0 then
mov1 = mov1 +9
end
end
end

function nomvis2()
mov1 = 0
if preiw == "fasle" and next == "fasle" then
if mov2 <= 150 and mov2 >= 0 then
mov2 = mov2 +9
end
end
end

while true do
screen:clear()
pad = Controls.read()
screen:blit(s,185,teste,true)
screen:blit(s1,160,teste1,true)
screen:blit(s2,160,teste2,true)
screen:blit(s3,160,teste3,true)
screen:blit(s4,160,teste4,true)
screen:blit(s5,160,teste5,true)
screen:blit(s6,160,teste6,true)
screen:blit(s7,160,teste7,true)
screen:blit(s8,160,teste8,true)
screen:blit(s9,160,teste9,true)
screen:blit(s10,160,teste10,true)
screen:blit(s11,160,teste11,true)
screen:blit(s12,160,teste12,true)
screen:blit(s13,160,teste13,true)
screen:blit(s14,160,teste14,true)
screen:blit(s15,160,teste15,true)
screen:blit(s16,160,teste16,true)
screen:blit(s17,160,teste17,true)
screen:blit(s18,160,teste18,true)
screen:blit(s19,160,teste19,true)
screen:blit(s20,160,teste20,true)
screen:blit(s21,160,teste21,true)
screen:blit(s22,160,teste22,true)
screen:blit(s23,160,teste23,true)
screen:blit(s24,160,teste24,true)
screen:blit(s25,160,teste25,true)
screen:blit(s26,160,teste26,true)
screen:blit(s27,160,teste27,true)


	if next == "fasle" then
if preiw == "true" then
edge = edge - 4.1

s = s - 5
s1 = s1 - 5
s2 = s2 - 5
s3 = s3 - 5
s4 = s4 - 5
s5 = s5 - 5
s6 = s6 - 5
s7 = s7 - 5
s8 = s8 - 5
s9 = s9 - 5
s10 = s10 - 5
s11 = s11 - 5
s12 = s12 - 5
s13 = s13 - 5
s14 = s14 - 5
s15 = s15 - 5
s16 = s16 - 5
s17 = s17 - 5
s18 = s18 - 5
s19 = s19 - 5
s20 = s20 - 5
s21 = s21 - 5
s22 = s22 - 5
s23 = s23 - 5
s24 = s24 - 5
s25 = s25 - 5
s26 = s26 - 5
s27 = s27 - 5
if edge <= -90 then
preiw = "fasle"
edge = 0
end
end
	end
 
	if preiw == "fasle" then
if next == "true" then
edge = edge + 4.1
s = s + 5
s1 = s1 + 5
s2 = s2 + 5
s3 = s3 + 5
s4 = s4 + 5
s5 = s5 + 5
s6 = s6 + 5
s7 = s7 + 5
s8 = s8 + 5
s9 = s9 + 5
s10 = s10 + 5
s11 = s11 + 5
s12 = s12 + 5
s13 = s13 + 5
s14 = s14 + 5
s15 = s15 + 5
s16 = s16 + 5
s17 = s17 + 5
s18 = s18 + 5
s19 = s19 + 5
s20 = s20 + 5
s21 = s21 + 5
s22 = s22 + 5
s23 = s23 + 5
s24 = s24 + 5
s25 = s25 + 5
s26 = s26 + 5
s27 = s27 + 5
if edge >= 90 then
next = "fasle"
edge = 0
end
end
	end

if preiw == "fasle" and next == "fasle" then
if pad:left() and oldpad:left() ~= pad:left() then
selection = selection - 1
next = "true"
end
if pad:right() and oldpad:right() ~= pad:right() then
selection = selection + 1
preiw = "true"
end
	end
		



if selection < 1 then 
selection = 1
next = "fasle"
end
if selection > 27 then 
selection = 27
preiw = "fasle"

end




if selection == 1 then
nomvis1()
screen:fontPrint(font,200,mov1,"Rayon ele1",green)
if pad:cross() and oldpad:cross() ~= pad:cross() then
screen.waitVblankStart(100)
dofile("ms0:/PSP/GAME/vmp3 v1/Ibis/vmp31.lua")
exitMenu()
end
end

if selection == 2 then
nomvis2()
screen:fontPrint(font,200,mov2,"Rayon ele2",green)
if pad:cross() and oldpad:cross() ~= pad:cross() then
screen.waitVblankStart(100)
dofile("ms0:/PSP/GAME/vmp3 v1/Ibis/vmp32.lua")
exitMenu()
end
end

if selection == 3 then
nomvis1()
screen:fontPrint(font,200,mov1,"Rayon ele3",green)
if pad:cross() and oldpad:cross() ~= pad:cross() then
screen.waitVblankStart(100)
dofile("ms0:/PSP/GAME/vmp3 v1/Ibis/vmp33.lua")
exitMenu()
end

end

if selection == 4 then
nomvis2()
screen:fontPrint(font,200,mov2,"Rayon ele4",green)
if pad:cross() and oldpad:cross() ~= pad:cross() then
screen.waitVblankStart(100)
dofile("ms0:/PSP/GAME/vmp3 v1/Ibis/vmp34.lua")
exitMenu()
end

end

if selection == 5 then
nomvis1()
screen:fontPrint(font,220,mov1,"Barre",green)
if pad:cross() and oldpad:cross() ~= pad:cross() then
screen.waitVblankStart(100)
dofile("ms0:/PSP/GAME/vmp3 v1/Ibis/vmp35.lua")
exitMenu()
end

end

if selection == 6 then
nomvis2()
screen:fontPrint(font,200,mov2,"Demibarre",green)
if pad:cross() and oldpad:cross() ~= pad:cross() then
screen.waitVblankStart(100)
dofile("ms0:/PSP/GAME/vmp3 v1/Ibis/vmp36.lua")
exitMenu()
end

end

if selection == 7 then
nomvis1()
screen:fontPrint(font,220,mov1,"Vages1",green)
if pad:cross() and oldpad:cross() ~= pad:cross() then
screen.waitVblankStart(100)
dofile("ms0:/PSP/GAME/vmp3 v1/Ibis/vmp37.lua")
exitMenu()
end
end

if selection == 8 then
nomvis2()
screen:fontPrint(font,220,mov2,"Vages2",green)
if pad:cross() and oldpad:cross() ~= pad:cross() then
screen.waitVblankStart(100)
dofile("ms0:/PSP/GAME/vmp3 v1/Ibis/vmp38.lua")
exitMenu()
end

end

if selection == 9 then
nomvis1()
screen:fontPrint(font,220,mov1,"Nature",green)
if pad:cross() and oldpad:cross() ~= pad:cross() then
screen.waitVblankStart(100)
dofile("ms0:/PSP/GAME/vmp3 v1/Ibis/vmp39.lua")
exitMenu()
end

end

if selection == 10 then
nomvis2()
screen:fontPrint(font,200,mov2,"La tempete",green)
if pad:cross() and oldpad:cross() ~= pad:cross() then
screen.waitVblankStart(100)
dofile("ms0:/PSP/GAME/vmp3 v1/Ibis/vmp310.lua")
exitMenu()
end

end

if selection == 11 then
nomvis1()
screen:fontPrint(font,220,mov1,"Punta1",green)
if pad:cross() and oldpad:cross() ~= pad:cross() then
screen.waitVblankStart(100)
dofile("ms0:/PSP/GAME/vmp3 v1/Ibis/vmp311.lua")
exitMenu()
end

end

if selection == 12 then
nomvis2()
screen:fontPrint(font,220,mov2,"Punta2",green)
if pad:cross() and oldpad:cross() ~= pad:cross() then
screen.waitVblankStart(100)
dofile("ms0:/PSP/GAME/vmp3 v1/Ibis/vmp312.lua")
exitMenu()
end

end

if selection == 13 then
nomvis1()
screen:fontPrint(font,220,mov1,"Amibe",green)
if pad:cross() and oldpad:cross() ~= pad:cross() then
screen.waitVblankStart(100)
dofile("ms0:/PSP/GAME/vmp3 v1/Ibis/vmp313.lua")
exitMenu()
end

end

if selection == 14 then
nomvis2()
screen:fontPrint(font,210,mov2,"Perlles",green)
if pad:cross() and oldpad:cross() ~= pad:cross() then
screen.waitVblankStart(100)
dofile("ms0:/PSP/GAME/vmp3 v1/Ibis/vmp314.lua")
exitMenu()
end

end

if selection == 15 then
nomvis1()
screen:fontPrint(font,200,mov1,"Particules1",green)
if pad:cross() and oldpad:cross() ~= pad:cross() then
screen.waitVblankStart(100)
dofile("ms0:/PSP/GAME/vmp3 v1/Ibis/vmp315.lua")
exitMenu()
end

end

if selection == 16 then
nomvis2()
screen:fontPrint(font,200,mov2,"Particules2",green)
if pad:cross() and oldpad:cross() ~= pad:cross() then
screen.waitVblankStart(100)
dofile("ms0:/PSP/GAME/vmp3 v1/Ibis/vmp316.lua")
exitMenu()
end

end

if selection == 17 then
nomvis1()
screen:fontPrint(font,200,mov1,"Rondelles",green)
if pad:cross() and oldpad:cross() ~= pad:cross() then
screen.waitVblankStart(100)
dofile("ms0:/PSP/GAME/vmp3 v1/Ibis/vmp317.lua")
exitMenu()
end

end


if selection == 18 then
nomvis2()
screen:fontPrint(font,220,mov2,"Stars1",green)
if pad:cross() and oldpad:cross() ~= pad:cross() then
screen.waitVblankStart(100)
dofile("ms0:/PSP/GAME/vmp3 v1/Ibis/vmp318.lua")
exitMenu()
end
end


if selection == 19 then
nomvis1()
screen:fontPrint(font,220,mov1,"Stars2",green)
if pad:cross() and oldpad:cross() ~= pad:cross() then
screen.waitVblankStart(100)
dofile("ms0:/PSP/GAME/vmp3 v1/Ibis/vmp319.lua")
exitMenu()
end
end

if selection == 20 then
nomvis2()
screen:fontPrint(font,220,mov2,"Stars3",green)
if pad:cross() and oldpad:cross() ~= pad:cross() then
screen.waitVblankStart(100)
dofile("ms0:/PSP/GAME/vmp3 v1/Ibis/vmp320.lua")
exitMenu()
end
end

if selection == 21 then
nomvis1()
screen:fontPrint(font,220,mov1,"Stars4",green)
if pad:cross() and oldpad:cross() ~= pad:cross() then
screen.waitVblankStart(100)
dofile("ms0:/PSP/GAME/vmp3 v1/Ibis/vmp321.lua")
exitMenu()
end
end

if selection == 22 then
nomvis2()
screen:fontPrint(font,220,mov2,"Stars5",green)
if pad:cross() and oldpad:cross() ~= pad:cross() then
screen.waitVblankStart(100)
dofile("ms0:/PSP/GAME/vmp3 v1/Ibis/vmp322.lua")
exitMenu()
end
end

if selection == 23 then
nomvis1()
screen:fontPrint(font,230,mov1,"3d1",green)
if pad:cross() and oldpad:cross() ~= pad:cross() then
screen.waitVblankStart(100)
dofile("ms0:/PSP/GAME/vmp3 v1/Ibis/vmp325.lua")
exitMenu()
end
end

if selection == 24 then
nomvis2()
screen:fontPrint(font,230,mov2,"3d2",green)
if pad:cross() and oldpad:cross() ~= pad:cross() then
screen.waitVblankStart(100)
dofile("ms0:/PSP/GAME/vmp3 v1/Ibis/vmp326.lua")
exitMenu()
end
end

if selection == 25 then
nomvis1()
screen:fontPrint(font,230,mov1,"3d3",green)
if pad:cross() and oldpad:cross() ~= pad:cross() then
screen.waitVblankStart(100)
dofile("ms0:/PSP/GAME/vmp3 v1/Ibis/vmp327.lua")
exitMenu()
end
end

if selection == 26 then
nomvis2()
screen:fontPrint(font,230,mov2,"3d4",green)
if pad:cross() and oldpad:cross() ~= pad:cross() then
screen.waitVblankStart(100)
dofile("ms0:/PSP/GAME/vmp3 v1/Ibis/vmp328.lua")
exitMenu()
end
end

if selection == 27 then
nomvis1()
screen:fontPrint(font,220,mov1,"Credit",green)
if pad:cross() and oldpad:cross() ~= pad:cross() then
screen.waitVblankStart(100)
dofile("ms0:/PSP/GAME/vmp3 v1/Ibis/credit.lua")
exitMenu()
end
end
        
if pad:start() then 
screen.waitVblankStart(50)
dofile("ms0:/PSP/GAME/vmp3 v1/script.lua")
exitMenu()
end

screen.waitVblankStart()
screen.flip()
oldpad = pad
end